import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { A as Automation, G as GetAutomationOptions, U as UpdateAutomation, M as MigrationUpdateAutomation, a as MigrationUpdateAutomationResponse, D as DeleteAutomationOptions, Q as QueryAutomationsOptions, b as AutomationsQueryBuilder, O as OverrideApplicationAutomationResponse, V as ValidateAutomationByIdOptions, c as ValidateAutomationByIdResponse, d as ValidateAutomationResponse, e as GetAutomationActivationStatsOptions, f as GetAutomationActivationReportsResponse, g as GetActionsQuotaInfoResponse, h as GenerateActionInputMappingFromTemplateOptions, i as GenerateActionInputMappingFromTemplateResponse, j as AutomationCreatedEnvelope, k as AutomationDeletedEnvelope, l as AutomationUpdatedEnvelope, m as AutomationDeletedWithEntityEnvelope, n as AutomationUpdatedWithPreviousEntityEnvelope } from './automations-v1-automation-automations-service.universal-BU4qG8tM.mjs';
export { C as Action, bl as ActionConfigurationError, w as ActionErrorType, al as ActionEvent, bu as ActionProviderQuotaInfo, bv as ActionQuotaInfo, bj as ActionValidationError, bk as ActionValidationErrorErrorOneOf, bi as ActionValidationInfo, bp as ActivationReport, x as ActivationStatus, bA as AdditionalInfo, aZ as ApplicationError, ap as Asset, _ as AutomationMetadata, bJ as AutomationsQueryResult, bH as BaseEventMetadata, B as BlockType, aQ as BulkActionMetadata, aO as BulkCreateApplicationAutomationRequest, aP as BulkCreateApplicationAutomationResponse, bC as BulkDeleteAutomationsRequest, bD as BulkDeleteAutomationsResponse, bz as CTA, X as Condition, E as ConditionBlock, Y as Conditions, aU as CreateAutomationRequest, aV as CreateAutomationResponse, a7 as CursorPaging, aa as Cursors, z as Debounce, K as Delay, L as DelayTypeOneOf, b5 as DeleteAutomationRequest, b6 as DeleteAutomationResponse, at as DeleteContext, s as DeleteStatus, b7 as DeletedWithEntity, o as Domain, af as DomainEvent, ag as DomainEventBodyOneOf, am as Empty, ah as EntityCreatedEvent, ak as EntityDeletedEvent, aj as EntityUpdatedEvent, bI as EventMetadata, $ as ExtendedFields, F as Filter, bE as GenerateActionInputMappingFromTemplateRequest, bb as GenerateApplicationAutomationFromCustomRequest, bc as GenerateApplicationAutomationFromCustomResponse, bt as GetActionsQuotaInfoRequest, a0 as GetApplicationAutomationRequest, a1 as GetApplicationAutomationResponse, br as GetAutomationActionSchemaRequest, bs as GetAutomationActionSchemaResponse, bo as GetAutomationActivationReportsRequest, a$ as GetAutomationRequest, b0 as GetAutomationResponse, aS as IdentificationData, aT as IdentificationDataIdOneOf, aY as ItemMetadata, aR as MessageEnvelope, an as MetaSiteSpecialEvent, ao as MetaSiteSpecialEventPayloadOneOf, a_ as MigrationBulkCreateAutomations, aW as MigrationBulkCreateAutomationsRequest, aX as MigrationBulkCreateAutomationsResponse, b4 as MigrationUpdateAutomationRequest, bF as MigrationUpdateMigratedToV3AutomationRequest, bG as MigrationUpdateMigratedToV3AutomationResponse, N as Namespace, aD as NamespaceChanged, aI as OdeditorAssigned, aJ as OdeditorUnassigned, H as Offset, I as OffsetValueOneOf, ba as OverrideApplicationAutomationRequest, a6 as Paging, bq as PagingMetadata, a9 as PagingMetadataV2, aK as PicassoAssigned, aL as PicassoUnassigned, bx as Plan, bh as ProviderConfigurationError, a2 as QueryApplicationAutomationsRequest, a8 as QueryApplicationAutomationsResponse, b8 as QueryAutomationsRequest, b9 as QueryAutomationsResponse, a3 as QueryV2, a4 as QueryV2PagingMethodOneOf, by as Quota, bw as QuotaInfo, P as RateLimit, ai as RestoreInfo, R as Rule, az as ServiceProvisioned, aA as ServiceRemoved, aq as SiteCreated, r as SiteCreatedContext, as as SiteDeleted, aC as SiteHardDeleted, ax as SiteMarkedAsTemplate, ay as SiteMarkedAsWixSite, av as SitePublished, aH as SitePurgedExternally, aB as SiteRenamed, ar as SiteTransferred, au as SiteUndeleted, aw as SiteUnpublished, aG as SiteUrlChanged, p as SortOrder, a5 as Sorting, Z as Source, q as State, S as Status, aE as StudioAssigned, aF as StudioUnassigned, aM as SyncApplicationAutomationsRequest, aN as SyncApplicationAutomationsResponse, y as Trigger, bg as TriggerConfigurationError, u as TriggerErrorType, be as TriggerValidationError, bf as TriggerValidationErrorErrorOneOf, t as TriggerValidationErrorValidationErrorType, T as Type, J as Until, ab as UpdateApplicationAutomationConfigurationIdRequest, ac as UpdateApplicationAutomationConfigurationIdResponse, ad as UpdateApplicationAutomationToMigratedFromV1Request, ae as UpdateApplicationAutomationToMigratedFromV1Response, b1 as UpdateAutomationRequest, b2 as UpdateAutomationResponse, bn as UpdatedAutomationsWithEsb, b3 as UpdatedWithPreviousEntity, bB as UpgradeCTA, bd as ValidateAutomationByIdRequest, bm as ValidateAutomationRequest, v as ValidationErrorType, W as WebhookIdentityType } from './automations-v1-automation-automations-service.universal-BU4qG8tM.mjs';

declare function createAutomation$1(httpClient: HttpClient): CreateAutomationSignature;
interface CreateAutomationSignature {
    /**
     * Creates a new Automation
     * @param - Automation to be created
     * @returns The created Automation
     * @deprecated
     */
    (automation: Automation): Promise<Automation>;
}
declare function getAutomation$1(httpClient: HttpClient): GetAutomationSignature;
interface GetAutomationSignature {
    /**
     * Get a Automation by id
     * @param - Automation ID
     * @returns Automation
     * @deprecated
     */
    (automationId: string, options?: GetAutomationOptions | undefined): Promise<Automation>;
}
declare function updateAutomation$1(httpClient: HttpClient): UpdateAutomationSignature;
interface UpdateAutomationSignature {
    /**
     * Update a Automation, supports partial update
     * Pass the latest `revision` for a successful update
     * @param - Automation ID
     * @returns The updated Automation
     * @deprecated
     */
    (_id: string, automation: UpdateAutomation): Promise<Automation>;
}
declare function migrationUpdateAutomation$1(httpClient: HttpClient): MigrationUpdateAutomationSignature;
interface MigrationUpdateAutomationSignature {
    /**
     * @param - Automation ID
     * @deprecated
     */
    (_id: string, automation: MigrationUpdateAutomation): Promise<MigrationUpdateAutomationResponse>;
}
declare function deleteAutomation$1(httpClient: HttpClient): DeleteAutomationSignature;
interface DeleteAutomationSignature {
    /**
     * Delete an Automation
     * @param - Id of the Automation to delete
     * @deprecated
     */
    (automationId: string, options?: DeleteAutomationOptions | undefined): Promise<void>;
}
declare function queryAutomations$1(httpClient: HttpClient): QueryAutomationsSignature;
interface QueryAutomationsSignature {
    /**
     * Query Automations using [WQL - Wix Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language)
     * @deprecated
     */
    (options?: QueryAutomationsOptions | undefined): AutomationsQueryBuilder;
}
declare function overrideApplicationAutomation$1(httpClient: HttpClient): OverrideApplicationAutomationSignature;
interface OverrideApplicationAutomationSignature {
    /**
     * Creates a new Automation
     * @param - Application Automation
     * @deprecated
     */
    (automation: Automation): Promise<OverrideApplicationAutomationResponse>;
}
declare function validateAutomationById$1(httpClient: HttpClient): ValidateAutomationByIdSignature;
interface ValidateAutomationByIdSignature {
    /**
     * Validate Automation by Id
     * @param - Automation ID
     * @deprecated
     */
    (automationId: string, options?: ValidateAutomationByIdOptions | undefined): Promise<ValidateAutomationByIdResponse>;
}
declare function validateAutomation$1(httpClient: HttpClient): ValidateAutomationSignature;
interface ValidateAutomationSignature {
    /**
     * Validate Automation
     * @param - Automation to validate
     * @deprecated
     */
    (automation: Automation): Promise<ValidateAutomationResponse>;
}
declare function getAutomationActivationStats$1(httpClient: HttpClient): GetAutomationActivationStatsSignature;
interface GetAutomationActivationStatsSignature {
    /**
     * @param - Automation ID
     * @deprecated
     */
    (automationId: string, options?: GetAutomationActivationStatsOptions | undefined): Promise<GetAutomationActivationReportsResponse>;
}
declare function getActionsQuotaInfo$1(httpClient: HttpClient): GetActionsQuotaInfoSignature;
interface GetActionsQuotaInfoSignature {
    /**
     * Get actions quota information
     * @deprecated
     */
    (): Promise<GetActionsQuotaInfoResponse>;
}
declare function generateActionInputMappingFromTemplate$1(httpClient: HttpClient): GenerateActionInputMappingFromTemplateSignature;
interface GenerateActionInputMappingFromTemplateSignature {
    /**
     * Generate action input mapping from a template
     * @param - action app id
     * @deprecated
     */
    (appId: string, options: GenerateActionInputMappingFromTemplateOptions): Promise<GenerateActionInputMappingFromTemplateResponse>;
}
declare const onAutomationCreated$1: EventDefinition<AutomationCreatedEnvelope, "wix.automations.v1.automation_created">;
declare const onAutomationDeleted$1: EventDefinition<AutomationDeletedEnvelope, "wix.automations.v1.automation_deleted">;
declare const onAutomationUpdated$1: EventDefinition<AutomationUpdatedEnvelope, "wix.automations.v1.automation_updated">;
declare const onAutomationDeletedWithEntity$1: EventDefinition<AutomationDeletedWithEntityEnvelope, "wix.automations.v1.automation_deleted_with_entity">;
declare const onAutomationUpdatedWithPreviousEntity$1: EventDefinition<AutomationUpdatedWithPreviousEntityEnvelope, "wix.automations.v1.automation_updated_with_previous_entity">;

declare const createAutomation: MaybeContext<BuildRESTFunction<typeof createAutomation$1> & typeof createAutomation$1>;
declare const getAutomation: MaybeContext<BuildRESTFunction<typeof getAutomation$1> & typeof getAutomation$1>;
declare const updateAutomation: MaybeContext<BuildRESTFunction<typeof updateAutomation$1> & typeof updateAutomation$1>;
declare const migrationUpdateAutomation: MaybeContext<BuildRESTFunction<typeof migrationUpdateAutomation$1> & typeof migrationUpdateAutomation$1>;
declare const deleteAutomation: MaybeContext<BuildRESTFunction<typeof deleteAutomation$1> & typeof deleteAutomation$1>;
declare const queryAutomations: MaybeContext<BuildRESTFunction<typeof queryAutomations$1> & typeof queryAutomations$1>;
declare const overrideApplicationAutomation: MaybeContext<BuildRESTFunction<typeof overrideApplicationAutomation$1> & typeof overrideApplicationAutomation$1>;
declare const validateAutomationById: MaybeContext<BuildRESTFunction<typeof validateAutomationById$1> & typeof validateAutomationById$1>;
declare const validateAutomation: MaybeContext<BuildRESTFunction<typeof validateAutomation$1> & typeof validateAutomation$1>;
declare const getAutomationActivationStats: MaybeContext<BuildRESTFunction<typeof getAutomationActivationStats$1> & typeof getAutomationActivationStats$1>;
declare const getActionsQuotaInfo: MaybeContext<BuildRESTFunction<typeof getActionsQuotaInfo$1> & typeof getActionsQuotaInfo$1>;
declare const generateActionInputMappingFromTemplate: MaybeContext<BuildRESTFunction<typeof generateActionInputMappingFromTemplate$1> & typeof generateActionInputMappingFromTemplate$1>;
/** */
declare const onAutomationCreated: BuildEventDefinition<typeof onAutomationCreated$1>;
/** */
declare const onAutomationDeleted: BuildEventDefinition<typeof onAutomationDeleted$1>;
/** */
declare const onAutomationUpdated: BuildEventDefinition<typeof onAutomationUpdated$1>;
/** */
declare const onAutomationDeletedWithEntity: BuildEventDefinition<typeof onAutomationDeletedWithEntity$1>;
/** */
declare const onAutomationUpdatedWithPreviousEntity: BuildEventDefinition<typeof onAutomationUpdatedWithPreviousEntity$1>;

export { Automation, AutomationCreatedEnvelope, AutomationDeletedEnvelope, AutomationDeletedWithEntityEnvelope, AutomationUpdatedEnvelope, AutomationUpdatedWithPreviousEntityEnvelope, AutomationsQueryBuilder, DeleteAutomationOptions, GenerateActionInputMappingFromTemplateOptions, GenerateActionInputMappingFromTemplateResponse, GetActionsQuotaInfoResponse, GetAutomationActivationReportsResponse, GetAutomationActivationStatsOptions, GetAutomationOptions, MigrationUpdateAutomation, MigrationUpdateAutomationResponse, OverrideApplicationAutomationResponse, QueryAutomationsOptions, UpdateAutomation, ValidateAutomationByIdOptions, ValidateAutomationByIdResponse, ValidateAutomationResponse, createAutomation, deleteAutomation, generateActionInputMappingFromTemplate, getActionsQuotaInfo, getAutomation, getAutomationActivationStats, migrationUpdateAutomation, onAutomationCreated, onAutomationDeleted, onAutomationDeletedWithEntity, onAutomationUpdated, onAutomationUpdatedWithPreviousEntity, overrideApplicationAutomation, queryAutomations, updateAutomation, validateAutomation, validateAutomationById };
